> ## Documentation Index
> Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of facebook comments

> Get a paginated list of all comments made on a post



## OpenAPI

````yaml api-reference/community-openapi.json GET /facebook_comments
openapi: 3.0.2
info:
  contact:
    email: support@dashsocial.com
    name: Dash Social
    url: https://dashsocial.com
  description: Manage community interactions in the Dash Social platform.
  license:
    name: Commercial
    url: https://dashsocial.com/terms
  title: Community API
  version: 1.0.0
  x-logo:
    altText: Dash Social logo
    href: https://developer.dashsocial.com
    url: https://developer.dashsocial.com/assets/logo.svg
servers:
  - url: https://community.dashsocial.com
security:
  - BearerAuth: []
tags:
  - description: Endpoints responsible for comment sentiment.
    name: Comment Sentiment
  - description: Endpoints responsible for community interaction tags.
    name: Community Interaction Tags
  - description: Endpoints responsible for community interactions.
    name: Community Interactions
  - description: Endpoints responsible for community overview.
    name: Community Overview
  - description: Endpoints responsible for community post operations
    name: Community Posts
  - description: Endpoints responsible for managing Facebook comments.
    name: Facebook Comments
  - description: Endpoints responsible for managing Facebook messages.
    name: Facebook Messages
  - description: Endpoints responsible for managing Instagram comments.
    name: Instagram Comments
  - description: Endpoints responsible for Instagram messages.
    name: Instagram Messages
  - description: Endpoints responsible for community interaction automation rules.
    name: Interaction Rules
  - description: Endpoints responsible for managing preset replies.
    name: Preset replies
  - description: Endpoints responsible for managing TikTok comments.
    name: TikTok Comments
  - description: Endpoints responsible for managing Twitter messages.
    name: Twitter Messages
  - description: Endpoints responsible for managing Twitter tweets.
    name: Twitter Tweets
  - description: Endpoints responsible for managing YouTube Comments
    name: YouTube Comments
paths:
  /facebook_comments:
    get:
      tags:
        - Facebook Comments
      summary: Get a list of facebook comments
      description: Get a paginated list of all comments made on a post
      parameters:
        - description: The ID of the media the comment was made on.
          in: query
          name: media_id
          required: true
          schema:
            type: integer
        - description: The brand ID of the comment.
          in: query
          name: brand_id
          required: true
          schema:
            type: integer
        - description: Number of results to return in a single response.
          in: query
          name: limit
          required: false
          schema:
            default: 100
            type: integer
        - description: The offset of the first result to be returned.
          in: query
          name: offset
          required: false
          schema:
            default: 0
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FacebookCommentsData'
          description: OK
        '422':
          $ref: '#/components/responses/UNPROCESSABLE_ENTITY'
        default:
          $ref: '#/components/responses/DEFAULT_ERROR'
components:
  schemas:
    FacebookCommentsData:
      properties:
        data:
          description: A list of facebook comments with replies.
          items:
            $ref: '#/components/schemas/FacebookCommentWithReplies'
          readOnly: true
          type: array
        paging:
          allOf:
            - $ref: '#/components/schemas/PagingData'
          description: Pagination Data
          readOnly: true
      type: object
    FacebookCommentWithReplies:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        attachment:
          description: Attachment on the comment.
          readOnly: true
          type: object
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        facebook_comment_id:
          description: The comment ID provided by Facebook.
          readOnly: true
          type: string
        facebook_parent_comment_id:
          description: The parent comment ID provided by Facebook.
          type: string
        facebook_profile_picture_url:
          default: null
          description: The profile picture URL of the comment author.
          nullable: true
          readOnly: true
          type: string
        facebook_username:
          default: null
          description: The user handle of the comment author.
          nullable: true
          readOnly: true
          type: string
        id:
          description: The comment's ID.
          readOnly: true
          type: integer
        is_ad_comment:
          description: Whether the comment is from ads.
          readOnly: true
          type: boolean
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          description: Whether the comment is marked as hidden.
          type: boolean
        is_owned:
          description: Whether the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_is_carousel:
          description: Whether the post is a carousel.
          readOnly: true
          type: boolean
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        replies:
          description: A list of replies to the this comment.
          items:
            $ref: '#/components/schemas/FacebookComment'
          readOnly: true
          type: array
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: The last time when the comment was updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - facebook_parent_comment_id
        - is_owned
        - text
      type: object
    PagingData:
      properties:
        count:
          description: Number of records in the current page.
          type: integer
        next:
          description: URL to the next page of data.
          format: url
          type: string
        previous:
          description: URL to the previous page of data.
          format: url
          type: string
      type: object
    Error:
      properties:
        code:
          description: Error code
          type: integer
        errors:
          description: Errors
          type: object
        message:
          description: Error message
          type: string
        status:
          description: Error name
          type: string
      type: object
    BrandUserReply:
      properties:
        brand_id:
          description: The brand ID of the brand user reply.
          type: integer
        created_at:
          description: When the brand user reply was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: The brand user reply's ID.
          readOnly: true
          type: integer
        resource_id:
          description: The resource ID of the brand reply.
          type: integer
        resource_type:
          description: The resource type of the brand reply.
          enum:
            - FACEBOOK_COMMENT
            - FACEBOOK_MESSAGE
            - INSTAGRAM_COMMENT
            - INSTAGRAM_MESSAGE
            - TIKTOK_COMMENT
            - TWITTER_MENTION
            - TWITTER_MESSAGE
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          type: string
        updated_at:
          description: When the brand user reply was last updated.
          format: date-time
          readOnly: true
          type: string
        user_id:
          description: The user ID of the brand user that made the reply.
          type: integer
      type: object
    PostMedia:
      properties:
        caption:
          description: The media caption
          readOnly: true
          type: string
        comment_count:
          description: The number of comments on the media
          readOnly: true
          type: integer
        image_sizes:
          allOf:
            - $ref: '#/components/schemas/ImageSize'
          description: Images of the post media
          readOnly: true
        likes:
          description: The number of likes on the media
          readOnly: true
          type: integer
        media_comment_sentiment:
          allOf:
            - $ref: '#/components/schemas/SentimentCount'
          description: The media comment sentiment
          readOnly: true
        media_type:
          description: The media type
          readOnly: true
          type: string
        source_created_at:
          description: When the media was created.
          format: date-time
          readOnly: true
          type: string
        user_avatar:
          description: >-
            Avatar of the sender. Used for Twitter mentions that have brand
            media
          readOnly: true
          type: string
        user_handle:
          description: Handle of the media poster
          readOnly: true
          type: string
      required:
        - comment_count
        - image_sizes
        - media_comment_sentiment
        - media_type
        - source_created_at
      type: object
    FacebookComment:
      properties:
        assignee_id:
          description: The ID of the user to whom the interaction is assigned.
          readOnly: true
          type: integer
        attachment:
          description: Attachment on the comment.
          readOnly: true
          type: object
        author_profile_picture_url:
          default: null
          description: The profile picture URL of the author.
          nullable: true
          readOnly: true
          type: string
        author_username:
          default: null
          description: The handle of the author.
          nullable: true
          readOnly: true
          type: string
        brand_id:
          description: The community interaction's brand ID.
          readOnly: true
          type: integer
        brand_user_reply:
          allOf:
            - $ref: '#/components/schemas/BrandUserReply'
          description: Brand user that created the reply.
          nullable: true
          readOnly: true
        created_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        facebook_comment_id:
          description: The comment ID provided by Facebook.
          readOnly: true
          type: string
        facebook_parent_comment_id:
          description: The parent comment ID provided by Facebook.
          type: string
        facebook_profile_picture_url:
          default: null
          description: The profile picture URL of the comment author.
          nullable: true
          readOnly: true
          type: string
        facebook_username:
          default: null
          description: The user handle of the comment author.
          nullable: true
          readOnly: true
          type: string
        id:
          description: The comment's ID.
          readOnly: true
          type: integer
        is_ad_comment:
          description: Whether the comment is from ads.
          readOnly: true
          type: boolean
        is_archived:
          description: Whether the community interaction is marked as archived.
          readOnly: true
          type: boolean
        is_author_blocked:
          description: Whether the user is blocked.
          readOnly: true
          type: boolean
        is_follow_up:
          description: Whether the community interaction is marked as follow-up.
          readOnly: true
          type: boolean
        is_hidden:
          description: Whether the comment is marked as hidden.
          type: boolean
        is_owned:
          description: Whether the brand posted this comment.
          type: boolean
        is_read:
          description: Whether the community interaction is marked as read.
          readOnly: true
          type: boolean
        media_id:
          description: The ID of the media the comment was made on.
          readOnly: true
          type: integer
        media_type:
          description: The media type of the post.
          enum:
            - CAROUSEL_ALBUM
            - IMAGE
            - REELS
            - SHORTS
            - VIDEO
          readOnly: true
          type: string
        post_is_carousel:
          description: Whether the post is a carousel.
          readOnly: true
          type: boolean
        post_media:
          allOf:
            - $ref: '#/components/schemas/PostMedia'
          description: Info about the media the comment was made on.
          nullable: true
          readOnly: true
        post_thumbnail_url:
          description: The image thumbnail url of the original post.
          readOnly: true
          type: string
        search_result_snippet:
          description: Indicates how many messages match the query.
          readOnly: true
          type: string
        sentiment:
          allOf:
            - $ref: '#/components/schemas/Sentiment'
          description: The comment sentiment.
          readOnly: true
        source_updated_at:
          description: When the comment was created.
          format: date-time
          readOnly: true
          type: string
        tag_ids:
          description: List of tag IDs associated with the community interaction.
          items:
            type: integer
          type: array
        text:
          description: The comment body.
          type: string
        tickets:
          description: The tickets created for this community interaction.
          items:
            $ref: '#/components/schemas/CommunityInteractionTicket'
          readOnly: true
          type: array
        type:
          description: The community interaction type.
          enum:
            - COMMUNITY_INTERACTION
            - FACEBOOK_COMMENT
            - FACEBOOK_CONVERSATION
            - INSTAGRAM_COMMENT
            - INSTAGRAM_CONVERSATION
            - TIKTOK_COMMENT
            - TWITTER_CONVERSATION
            - TWITTER_MENTION
            - TWITTER_QUOTE
            - TWITTER_RETWEET
            - YOUTUBE_COMMENT
          readOnly: true
          type: string
        updated_at:
          description: The last time when the comment was updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - facebook_parent_comment_id
        - is_owned
        - text
      type: object
    Sentiment:
      properties:
        is_negative:
          description: If the comment sentiment is negative
          readOnly: true
          type: boolean
        is_neutral:
          description: If the comment sentiment is neutral
          readOnly: true
          type: boolean
        is_positive:
          description: If the comment sentiment is positive
          readOnly: true
          type: boolean
        is_question:
          description: If the comment is a question
          readOnly: true
          type: boolean
      required:
        - is_negative
        - is_neutral
        - is_positive
        - is_question
      type: object
    CommunityInteractionTicket:
      properties:
        label:
          description: A human friendly ID for the ticket from the source.
          type: string
        source_created_at:
          description: Date and time the ticket was created at the source.
          type: string
        source_id:
          description: The ticket ID from the source.
          type: string
        source_updated_at:
          description: Date the ticket was updated at the source.
          type: string
        status:
          description: The status of the ticket from the source.
          type: string
        message_id:
          description: The ID of the specific message this ticket was created for.
          type: integer
        source:
          description: Source of the ticket.
          enum:
            - SALESFORCE
            - ZENDESK
          type: string
      required:
        - label
        - source_created_at
        - source_id
        - source_updated_at
        - status
      type: object
    ImageSize:
      properties:
        default:
          description: The default image for the media
          type: string
      type: object
    SentimentCount:
      properties:
        negative_count:
          description: Count of negative sentiment interactions on the post
          readOnly: true
          type: integer
        neutral_count:
          description: Count of neutral sentiment interactions on the post
          readOnly: true
          type: integer
        positive_count:
          description: Count of positive sentiment interactions on the post
          readOnly: true
          type: integer
      required:
        - negative_count
        - neutral_count
        - positive_count
      type: object
  responses:
    UNPROCESSABLE_ENTITY:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Unprocessable Entity
    DEFAULT_ERROR:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
      description: Default error response
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API key from Dash Social developer settings

````